<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::core::Vector3Ddata Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1core_1_1_vector3_ddata.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1core_1_1_vector3_ddata-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::core::Vector3Ddata Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a 3D vector and a <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> User must manually use the <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a>'s <a class="el" href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> to access to <a class="el" href="classflair_1_1core_1_1_vector3_d.html" title="Class defining a 3D vector. ">Vector3D</a> values.  
 <a href="classflair_1_1core_1_1_vector3_ddata.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_vector3_ddata_8h_source.html">Vector3Ddata.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::core::Vector3Ddata:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1core_1_1_vector3_ddata.png" usemap="#flair::core::Vector3Ddata_map" alt=""/>
  <map id="flair::core::Vector3Ddata_map" name="flair::core::Vector3Ddata_map">
<area href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. " alt="flair::core::io_data" shape="rect" coords="0,112,174,136"/>
<area href="classflair_1_1core_1_1_vector3_d.html" title="Class defining a 3D vector. " alt="flair::core::Vector3D&lt; T &gt;" shape="rect" coords="184,112,358,136"/>
<area href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. " alt="flair::core::Mutex" shape="rect" coords="0,56,174,80"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="0,0,174,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aaac079dd0b5b3b5871dc20ff9e2678c2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_ddata.html#aaac079dd0b5b3b5871dc20ff9e2678c2">Vector3Ddata</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name, float <a class="el" href="classflair_1_1core_1_1_vector3_d.html#abb356ca2add4d7cd62c3e1772ce84a4f">x</a>=0, float <a class="el" href="classflair_1_1core_1_1_vector3_d.html#a62a7b867d542c4aee7634f8a58b25256">y</a>=0, float <a class="el" href="classflair_1_1core_1_1_vector3_d.html#ab0c47253b9de56abf0fbe9661f9e1812">z</a>=0, uint32_t n=1)</td></tr>
<tr class="memdesc:aaac079dd0b5b3b5871dc20ff9e2678c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aaac079dd0b5b3b5871dc20ff9e2678c2">More...</a><br /></td></tr>
<tr class="separator:aaac079dd0b5b3b5871dc20ff9e2678c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0aaa32502e8d4236de1574b7f542919"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_ddata.html#af0aaa32502e8d4236de1574b7f542919">~Vector3Ddata</a> ()</td></tr>
<tr class="memdesc:af0aaa32502e8d4236de1574b7f542919"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#af0aaa32502e8d4236de1574b7f542919">More...</a><br /></td></tr>
<tr class="separator:af0aaa32502e8d4236de1574b7f542919"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf63288eac5bb9b7f988d5b7424d1aa4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_ddata.html#adf63288eac5bb9b7f988d5b7424d1aa4">XElement</a> (void) const </td></tr>
<tr class="memdesc:adf63288eac5bb9b7f988d5b7424d1aa4"><td class="mdescLeft">&#160;</td><td class="mdescRight">X Element.  <a href="#adf63288eac5bb9b7f988d5b7424d1aa4">More...</a><br /></td></tr>
<tr class="separator:adf63288eac5bb9b7f988d5b7424d1aa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a384d76d6e676ae8d0c231f9d2e27b460"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_ddata.html#a384d76d6e676ae8d0c231f9d2e27b460">YElement</a> (void) const </td></tr>
<tr class="memdesc:a384d76d6e676ae8d0c231f9d2e27b460"><td class="mdescLeft">&#160;</td><td class="mdescRight">Y Element.  <a href="#a384d76d6e676ae8d0c231f9d2e27b460">More...</a><br /></td></tr>
<tr class="separator:a384d76d6e676ae8d0c231f9d2e27b460"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab007f832df655ab26b249345e6eab2c7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_ddata.html#ab007f832df655ab26b249345e6eab2c7">ZElement</a> (void) const </td></tr>
<tr class="memdesc:ab007f832df655ab26b249345e6eab2c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Z Element.  <a href="#ab007f832df655ab26b249345e6eab2c7">More...</a><br /></td></tr>
<tr class="separator:ab007f832df655ab26b249345e6eab2c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td></tr>
<tr class="memitem:a8f1ba8c576e0a94bb27bdf1b6d1f7d21 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a8f1ba8c576e0a94bb27bdf1b6d1f7d21">io_data</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name, int n)</td></tr>
<tr class="memdesc:a8f1ba8c576e0a94bb27bdf1b6d1f7d21 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a8f1ba8c576e0a94bb27bdf1b6d1f7d21">More...</a><br /></td></tr>
<tr class="separator:a8f1ba8c576e0a94bb27bdf1b6d1f7d21 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63b4bbba0120e45d69d616f7b7cb021a inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a63b4bbba0120e45d69d616f7b7cb021a">~io_data</a> ()</td></tr>
<tr class="memdesc:a63b4bbba0120e45d69d616f7b7cb021a inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a63b4bbba0120e45d69d616f7b7cb021a">More...</a><br /></td></tr>
<tr class="separator:a63b4bbba0120e45d69d616f7b7cb021a inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acae3fb98b266a788b12083c7eec2be10 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#acae3fb98b266a788b12083c7eec2be10">SetDataTime</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> time)</td></tr>
<tr class="memdesc:acae3fb98b266a788b12083c7eec2be10 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time, also caluculates the delta time based on last call.  <a href="#acae3fb98b266a788b12083c7eec2be10">More...</a><br /></td></tr>
<tr class="separator:acae3fb98b266a788b12083c7eec2be10 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa51c08a0950cbe5ec5774446679ea43f inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa51c08a0950cbe5ec5774446679ea43f">SetDataTime</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> time, <a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> deltaTime)</td></tr>
<tr class="memdesc:aa51c08a0950cbe5ec5774446679ea43f inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time and delta time (thus delta time is not based on last call)  <a href="#aa51c08a0950cbe5ec5774446679ea43f">More...</a><br /></td></tr>
<tr class="separator:aa51c08a0950cbe5ec5774446679ea43f inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9481c27408747e9392d9425f45699599 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a9481c27408747e9392d9425f45699599">DataTime</a> (void) const </td></tr>
<tr class="memdesc:a9481c27408747e9392d9425f45699599 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data time.  <a href="#a9481c27408747e9392d9425f45699599">More...</a><br /></td></tr>
<tr class="separator:a9481c27408747e9392d9425f45699599 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba2a52aae7efbcd769820cde4e1a38d9 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aba2a52aae7efbcd769820cde4e1a38d9">DataDeltaTime</a> (void) const </td></tr>
<tr class="memdesc:aba2a52aae7efbcd769820cde4e1a38d9 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data delta time.  <a href="#aba2a52aae7efbcd769820cde4e1a38d9">More...</a><br /></td></tr>
<tr class="separator:aba2a52aae7efbcd769820cde4e1a38d9 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02cd00111e4b93187b668de49cdec642 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a02cd00111e4b93187b668de49cdec642">GetDataTime</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> &amp;time, <a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> &amp;deltaTime) const </td></tr>
<tr class="memdesc:a02cd00111e4b93187b668de49cdec642 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get data time and delta time.  <a href="#a02cd00111e4b93187b668de49cdec642">More...</a><br /></td></tr>
<tr class="separator:a02cd00111e4b93187b668de49cdec642 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6337ffd87caf22391c4484da3fc13d47 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47">Prev</a> (int n) const </td></tr>
<tr class="memdesc:a6337ffd87caf22391c4484da3fc13d47 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Previous data.  <a href="#a6337ffd87caf22391c4484da3fc13d47">More...</a><br /></td></tr>
<tr class="separator:a6337ffd87caf22391c4484da3fc13d47 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a355c0ba5812d0c5a60a07fcacc692d3e inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a355c0ba5812d0c5a60a07fcacc692d3e"></a>
virtual <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetDataType</b> () const =0</td></tr>
<tr class="separator:a355c0ba5812d0c5a60a07fcacc692d3e inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa81cc1713a594806040a1e5d52ec9fa3 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa81cc1713a594806040a1e5d52ec9fa3">RawWrite</a> (char *src)</td></tr>
<tr class="memdesc:aa81cc1713a594806040a1e5d52ec9fa3 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Raw write datas.  <a href="#aa81cc1713a594806040a1e5d52ec9fa3">More...</a><br /></td></tr>
<tr class="separator:aa81cc1713a594806040a1e5d52ec9fa3 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa590e14a9fb18a1ffc5d4dbed85f46c4 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa590e14a9fb18a1ffc5d4dbed85f46c4">RawRead</a> (char *dst) const =0</td></tr>
<tr class="memdesc:aa590e14a9fb18a1ffc5d4dbed85f46c4 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Raw read datas.  <a href="#aa590e14a9fb18a1ffc5d4dbed85f46c4">More...</a><br /></td></tr>
<tr class="separator:aa590e14a9fb18a1ffc5d4dbed85f46c4 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_mutex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_mutex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_mutex.html">flair::core::Mutex</a></td></tr>
<tr class="memitem:a1f85044411d838898a794ceaeb78d8f0 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#a1f85044411d838898a794ceaeb78d8f0">Mutex</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name=&quot;&quot;)</td></tr>
<tr class="memdesc:a1f85044411d838898a794ceaeb78d8f0 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a1f85044411d838898a794ceaeb78d8f0">More...</a><br /></td></tr>
<tr class="separator:a1f85044411d838898a794ceaeb78d8f0 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8256454205d5146d1fe95b7538b25eb inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#ac8256454205d5146d1fe95b7538b25eb">~Mutex</a> ()</td></tr>
<tr class="memdesc:ac8256454205d5146d1fe95b7538b25eb inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac8256454205d5146d1fe95b7538b25eb">More...</a><br /></td></tr>
<tr class="separator:ac8256454205d5146d1fe95b7538b25eb inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a225fbd364b794d698b1c7d8c6962492b inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#a225fbd364b794d698b1c7d8c6962492b">GetMutex</a> (void) const </td></tr>
<tr class="memdesc:a225fbd364b794d698b1c7d8c6962492b inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">GetMutex.  <a href="#a225fbd364b794d698b1c7d8c6962492b">More...</a><br /></td></tr>
<tr class="separator:a225fbd364b794d698b1c7d8c6962492b inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fd1e2cbcacd6a51e21da35cd26800f6 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#a1fd1e2cbcacd6a51e21da35cd26800f6">ReleaseMutex</a> (void) const </td></tr>
<tr class="memdesc:a1fd1e2cbcacd6a51e21da35cd26800f6 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">ReleaseMutex.  <a href="#a1fd1e2cbcacd6a51e21da35cd26800f6">More...</a><br /></td></tr>
<tr class="separator:a1fd1e2cbcacd6a51e21da35cd26800f6 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aec92383fd5bf68d9df10414862b7e95c">More...</a><br /></td></tr>
<tr class="separator:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a> ()</td></tr>
<tr class="memdesc:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa2bde0e6677bbef705c96c93cb06ad09">More...</a><br /></td></tr>
<tr class="separator:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#a9b0344dff7e1c05424d9152c8274523a">More...</a><br /></td></tr>
<tr class="separator:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a609a250ec037fbcaf8957c8f1dcbfc53">More...</a><br /></td></tr>
<tr class="separator:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a> (void) const </td></tr>
<tr class="memdesc:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a360c112cc3017a5152ebf6e84d2efa70">More...</a><br /></td></tr>
<tr class="separator:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ae22db4d723ec2d50b3ba48f26a6a770c">More...</a><br /></td></tr>
<tr class="separator:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a> (void) const </td></tr>
<tr class="memdesc:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a344f81cd35805a9501098bf727ac1a10">More...</a><br /></td></tr>
<tr class="separator:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#af001feba14fc053aa778e61080a0b4cf">More...</a><br /></td></tr>
<tr class="separator:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a168b18451b2ee6126e1e81d452005ff6">More...</a><br /></td></tr>
<tr class="separator:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a3ca9694d29ec2b0491739879685df5ca">More...</a><br /></td></tr>
<tr class="separator:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a36cdd7f556e78b1bddd1d1fe4264bb85">More...</a><br /></td></tr>
<tr class="separator:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_vector3_d"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_vector3_d')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td></tr>
<tr class="memitem:a4434fbd95b0f760a7f374d8068238c87 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a4434fbd95b0f760a7f374d8068238c87">Vector3D</a> (T <a class="el" href="classflair_1_1core_1_1_vector3_d.html#abb356ca2add4d7cd62c3e1772ce84a4f">x</a>=0, T <a class="el" href="classflair_1_1core_1_1_vector3_d.html#a62a7b867d542c4aee7634f8a58b25256">y</a>=0, T <a class="el" href="classflair_1_1core_1_1_vector3_d.html#ab0c47253b9de56abf0fbe9661f9e1812">z</a>=0)</td></tr>
<tr class="memdesc:a4434fbd95b0f760a7f374d8068238c87 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a4434fbd95b0f760a7f374d8068238c87">More...</a><br /></td></tr>
<tr class="separator:a4434fbd95b0f760a7f374d8068238c87 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae09b7edbe9f6be35b9f171eefd401b99 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#ae09b7edbe9f6be35b9f171eefd401b99">~Vector3D</a> ()</td></tr>
<tr class="memdesc:ae09b7edbe9f6be35b9f171eefd401b99 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ae09b7edbe9f6be35b9f171eefd401b99">More...</a><br /></td></tr>
<tr class="separator:ae09b7edbe9f6be35b9f171eefd401b99 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a195e8601b80e5e85a4d361c5a9b746a0 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a195e8601b80e5e85a4d361c5a9b746a0">RotateX</a> (float value)</td></tr>
<tr class="memdesc:a195e8601b80e5e85a4d361c5a9b746a0 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">x axis rotation  <a href="#a195e8601b80e5e85a4d361c5a9b746a0">More...</a><br /></td></tr>
<tr class="separator:a195e8601b80e5e85a4d361c5a9b746a0 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70eb14b1c286020f1e5a092a6188b361 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a70eb14b1c286020f1e5a092a6188b361">RotateXDeg</a> (float value)</td></tr>
<tr class="memdesc:a70eb14b1c286020f1e5a092a6188b361 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">x axis rotation  <a href="#a70eb14b1c286020f1e5a092a6188b361">More...</a><br /></td></tr>
<tr class="separator:a70eb14b1c286020f1e5a092a6188b361 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47b3902a89379a918cd9f5441aa7c748 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a47b3902a89379a918cd9f5441aa7c748">RotateY</a> (float value)</td></tr>
<tr class="memdesc:a47b3902a89379a918cd9f5441aa7c748 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">y axis rotation  <a href="#a47b3902a89379a918cd9f5441aa7c748">More...</a><br /></td></tr>
<tr class="separator:a47b3902a89379a918cd9f5441aa7c748 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57a22e954ffffa6f9c8d828788ac1eac inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a57a22e954ffffa6f9c8d828788ac1eac">RotateYDeg</a> (float value)</td></tr>
<tr class="memdesc:a57a22e954ffffa6f9c8d828788ac1eac inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">y axis rotation  <a href="#a57a22e954ffffa6f9c8d828788ac1eac">More...</a><br /></td></tr>
<tr class="separator:a57a22e954ffffa6f9c8d828788ac1eac inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa82d7a6693e70ff7b242aceb977e9c0 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#aaa82d7a6693e70ff7b242aceb977e9c0">RotateZ</a> (float value)</td></tr>
<tr class="memdesc:aaa82d7a6693e70ff7b242aceb977e9c0 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">z axis rotation  <a href="#aaa82d7a6693e70ff7b242aceb977e9c0">More...</a><br /></td></tr>
<tr class="separator:aaa82d7a6693e70ff7b242aceb977e9c0 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cd28096c5b268d44fae64ff3de97c60 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a3cd28096c5b268d44fae64ff3de97c60">RotateZDeg</a> (float value)</td></tr>
<tr class="memdesc:a3cd28096c5b268d44fae64ff3de97c60 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">z axis rotation  <a href="#a3cd28096c5b268d44fae64ff3de97c60">More...</a><br /></td></tr>
<tr class="separator:a3cd28096c5b268d44fae64ff3de97c60 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b55225f9547b97a21758c1e2b65dea3 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a5b55225f9547b97a21758c1e2b65dea3">Rotate</a> (const <a class="el" href="classflair_1_1core_1_1_rotation_matrix.html">RotationMatrix</a> &amp;matrix)</td></tr>
<tr class="memdesc:a5b55225f9547b97a21758c1e2b65dea3 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">rotation  <a href="#a5b55225f9547b97a21758c1e2b65dea3">More...</a><br /></td></tr>
<tr class="separator:a5b55225f9547b97a21758c1e2b65dea3 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c4c2cbb39ec5583856b3114924d6f86 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a1c4c2cbb39ec5583856b3114924d6f86">Rotate</a> (const <a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion)</td></tr>
<tr class="memdesc:a1c4c2cbb39ec5583856b3114924d6f86 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">rotation  <a href="#a1c4c2cbb39ec5583856b3114924d6f86">More...</a><br /></td></tr>
<tr class="separator:a1c4c2cbb39ec5583856b3114924d6f86 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ca154983653645e266a1c2331222a79 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a2ca154983653645e266a1c2331222a79">To2Dxy</a> (<a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; T &gt; &amp;vector) const </td></tr>
<tr class="memdesc:a2ca154983653645e266a1c2331222a79 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to a <a class="el" href="classflair_1_1core_1_1_vector2_d.html" title="Class defining a 2D vector. ">Vector2D</a>.  <a href="#a2ca154983653645e266a1c2331222a79">More...</a><br /></td></tr>
<tr class="separator:a2ca154983653645e266a1c2331222a79 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7bca23dab226f26818cddcac3771b0e inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#af7bca23dab226f26818cddcac3771b0e">To2Dxy</a> (void) const </td></tr>
<tr class="memdesc:af7bca23dab226f26818cddcac3771b0e inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to a <a class="el" href="classflair_1_1core_1_1_vector2_d.html" title="Class defining a 2D vector. ">Vector2D</a>.  <a href="#af7bca23dab226f26818cddcac3771b0e">More...</a><br /></td></tr>
<tr class="separator:af7bca23dab226f26818cddcac3771b0e inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4249aef85a1848a2952dfafbe6caad12 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a4249aef85a1848a2952dfafbe6caad12">GetNorm</a> (void) const </td></tr>
<tr class="memdesc:a4249aef85a1848a2952dfafbe6caad12 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Norm.  <a href="#a4249aef85a1848a2952dfafbe6caad12">More...</a><br /></td></tr>
<tr class="separator:a4249aef85a1848a2952dfafbe6caad12 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8230b1bbc50b49afac2758e44bcbb02c inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c">Normalize</a> (void)</td></tr>
<tr class="memdesc:a8230b1bbc50b49afac2758e44bcbb02c inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normalize.  <a href="#a8230b1bbc50b49afac2758e44bcbb02c">More...</a><br /></td></tr>
<tr class="separator:a8230b1bbc50b49afac2758e44bcbb02c inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82a85beea28856be5b64f1d773ecebec inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a82a85beea28856be5b64f1d773ecebec">Saturate</a> (const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a>&lt; T &gt; &amp;min, const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a>&lt; T &gt; &amp;max)</td></tr>
<tr class="memdesc:a82a85beea28856be5b64f1d773ecebec inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#a82a85beea28856be5b64f1d773ecebec">More...</a><br /></td></tr>
<tr class="separator:a82a85beea28856be5b64f1d773ecebec inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99cd39aa3d52bea0d6f6227f950b3775 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a99cd39aa3d52bea0d6f6227f950b3775">Saturate</a> (float min, float max)</td></tr>
<tr class="memdesc:a99cd39aa3d52bea0d6f6227f950b3775 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#a99cd39aa3d52bea0d6f6227f950b3775">More...</a><br /></td></tr>
<tr class="separator:a99cd39aa3d52bea0d6f6227f950b3775 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ce7a8a1fd1a493fa23963d80189b500 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a0ce7a8a1fd1a493fa23963d80189b500">Saturate</a> (const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a>&lt; T &gt; &amp;value)</td></tr>
<tr class="memdesc:a0ce7a8a1fd1a493fa23963d80189b500 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#a0ce7a8a1fd1a493fa23963d80189b500">More...</a><br /></td></tr>
<tr class="separator:a0ce7a8a1fd1a493fa23963d80189b500 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a057004d70fec9ca92fc47b8f02eb44ed inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a057004d70fec9ca92fc47b8f02eb44ed">Saturate</a> (float value)</td></tr>
<tr class="memdesc:a057004d70fec9ca92fc47b8f02eb44ed inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saturate.  <a href="#a057004d70fec9ca92fc47b8f02eb44ed">More...</a><br /></td></tr>
<tr class="separator:a057004d70fec9ca92fc47b8f02eb44ed inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e8eff1377049ede3441a8d249f2bbaf inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e8eff1377049ede3441a8d249f2bbaf"></a>
T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (size_t idx)</td></tr>
<tr class="separator:a2e8eff1377049ede3441a8d249f2bbaf inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22ec1b9cd25423fb0aed4f1254825013 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22ec1b9cd25423fb0aed4f1254825013"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (size_t idx) const </td></tr>
<tr class="separator:a22ec1b9cd25423fb0aed4f1254825013 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc4d4c8113a4138f510cdd21e38dbe96 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memTemplParams" colspan="2"><a class="anchor" id="abc4d4c8113a4138f510cdd21e38dbe96"></a>
template&lt;typename S &gt; </td></tr>
<tr class="memitem:abc4d4c8113a4138f510cdd21e38dbe96 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a>&lt; T &gt; &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a>&lt; S &gt; &amp;vector)</td></tr>
<tr class="separator:abc4d4c8113a4138f510cdd21e38dbe96 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb9650fac2fe8aaef7ee32cd45330b02 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb9650fac2fe8aaef7ee32cd45330b02"></a>
<a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a>&lt; T &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a>&lt; T &gt; &amp;vector)</td></tr>
<tr class="separator:afb9650fac2fe8aaef7ee32cd45330b02 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a243c5bd66cb20687d6db891517a696f9 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a243c5bd66cb20687d6db891517a696f9"></a>
<a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a>&lt; T &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a>&lt; T &gt; &amp;vector)</td></tr>
<tr class="separator:a243c5bd66cb20687d6db891517a696f9 inherit pub_methods_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5fccda511f97487040fed29f4efc97"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> = 0, 
<b>Red</b> = 31, 
<b>Green</b> = 32, 
<b>Orange</b> = 33
 }</td></tr>
<tr class="separator:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classflair_1_1core_1_1_vector3_d"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classflair_1_1core_1_1_vector3_d')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td></tr>
<tr class="memitem:abb356ca2add4d7cd62c3e1772ce84a4f inherit pub_attribs_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#abb356ca2add4d7cd62c3e1772ce84a4f">x</a></td></tr>
<tr class="memdesc:abb356ca2add4d7cd62c3e1772ce84a4f inherit pub_attribs_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">x  <a href="#abb356ca2add4d7cd62c3e1772ce84a4f">More...</a><br /></td></tr>
<tr class="separator:abb356ca2add4d7cd62c3e1772ce84a4f inherit pub_attribs_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62a7b867d542c4aee7634f8a58b25256 inherit pub_attribs_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a62a7b867d542c4aee7634f8a58b25256">y</a></td></tr>
<tr class="memdesc:a62a7b867d542c4aee7634f8a58b25256 inherit pub_attribs_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">y  <a href="#a62a7b867d542c4aee7634f8a58b25256">More...</a><br /></td></tr>
<tr class="separator:a62a7b867d542c4aee7634f8a58b25256 inherit pub_attribs_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0c47253b9de56abf0fbe9661f9e1812 inherit pub_attribs_classflair_1_1core_1_1_vector3_d"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#ab0c47253b9de56abf0fbe9661f9e1812">z</a></td></tr>
<tr class="memdesc:ab0c47253b9de56abf0fbe9661f9e1812 inherit pub_attribs_classflair_1_1core_1_1_vector3_d"><td class="mdescLeft">&#160;</td><td class="mdescRight">z  <a href="#ab0c47253b9de56abf0fbe9661f9e1812">More...</a><br /></td></tr>
<tr class="separator:ab0c47253b9de56abf0fbe9661f9e1812 inherit pub_attribs_classflair_1_1core_1_1_vector3_d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td></tr>
<tr class="memitem:acc7fc08f29ba17fed5b94150826fae2d inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#acc7fc08f29ba17fed5b94150826fae2d">AppendLogDescription</a> (std::string description, <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;datatype)</td></tr>
<tr class="memdesc:acc7fc08f29ba17fed5b94150826fae2d inherit pro_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specify the description of the reimplemented class data's.  <a href="#acc7fc08f29ba17fed5b94150826fae2d">More...</a><br /></td></tr>
<tr class="separator:acc7fc08f29ba17fed5b94150826fae2d inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8b8c20d94aaf6b9eb4e21e2b95d51b2 inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">SetPtrToCircle</a> (void **ptr)</td></tr>
<tr class="memdesc:aa8b8c20d94aaf6b9eb4e21e2b95d51b2 inherit pro_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the datas to circle.  <a href="#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">More...</a><br /></td></tr>
<tr class="separator:aa8b8c20d94aaf6b9eb4e21e2b95d51b2 inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classflair_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classflair_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td></tr>
<tr class="memitem:a58e1a3f2fbf1655a047268375ba2202e inherit pro_attribs_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e">prev</a></td></tr>
<tr class="memdesc:a58e1a3f2fbf1655a047268375ba2202e inherit pro_attribs_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to previous data.  <a href="#a58e1a3f2fbf1655a047268375ba2202e">More...</a><br /></td></tr>
<tr class="separator:a58e1a3f2fbf1655a047268375ba2202e inherit pro_attribs_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a 3D vector and a <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> User must manually use the <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a>'s <a class="el" href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> to access to <a class="el" href="classflair_1_1core_1_1_vector3_d.html" title="Class defining a 3D vector. ">Vector3D</a> values. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aaac079dd0b5b3b5871dc20ff9e2678c2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::Vector3Ddata::Vector3Ddata </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>x</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>y</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>z</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classflair_1_1core_1_1_vector3_d.html" title="Class defining a 3D vector. ">Vector3D</a> using specified values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td></td></tr>
    <tr><td class="paramname">y</td><td></td></tr>
    <tr><td class="paramname">z</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af0aaa32502e8d4236de1574b7f542919"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::Vector3Ddata::~Vector3Ddata </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="adf63288eac5bb9b7f988d5b7424d1aa4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a>* flair::core::Vector3Ddata::XElement </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>X Element. </p>
<p>Get a vectorer to x element. This pointer can be used for plotting.</p>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
<a class="anchor" id="a384d76d6e676ae8d0c231f9d2e27b460"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a>* flair::core::Vector3Ddata::YElement </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Y Element. </p>
<p>Get a pointer to y element. This pointer can be used for plotting.</p>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
<a class="anchor" id="ab007f832df655ab26b249345e6eab2c7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a>* flair::core::Vector3Ddata::ZElement </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Z Element. </p>
<p>Get a pointer to z element. This pointer can be used for plotting.</p>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classflair_1_1core_1_1_vector3_ddata.html">Vector3Ddata</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
